@font-face {
    font-family: picopico;
    src: url(../font/ryakuji-few-dot-12.ttf);
}

#body {
    background-color: #000000;
    margin: 0;
    user-select: none;
    font-family: picopico;
    display: grid;
    place-items: center;
}

#subtitle {
    font-size: 24px;
    display: grid;
    place-items: center;
    height: 40px;
    width: 100%;
    text-align: center;
    animation: boinboin .5s infinite;
    margin-top: 5px;
    color: #ffff00;
}

@keyframes boinboin {
    0% {
        font-size: 22px;
    }

    50% {
        font-size: 24px;
    }

    100% {
        font-size: 22px;
    }
}

#display3 {
    background-color: #00000000;
    position: relative;
    top: 7px;
    height: 450px;
    width: 450px;
    border: 3px solid #ffffff00;
    z-index: 1;
    text-align: center;
}

#display2 {
    background-color: #00000000;
    height: 450px;
    width: 450px;
    position: absolute;
    top: -3px;
    left: -3px;
    border: 3px solid #ffffff;
    box-sizing: content-box;
    z-index: 2;
}

#display {
    background-color: #00000000;
    position: absolute;
    top: -3px;
    left: -3px;
    height: 450px;
    width: 450px;
    border: 3px solid #ffffff00;
    box-sizing: content-box;
    display: grid;
    place-items: center;
    font-size: 95px;
    font-weight: bold;
    color: #222222;
    animation: rainbow .75s infinite;
    z-index: 0;
}

#box {
    height: 30px;
    width: 30px;
    background-color: #0000ff;
    position: absolute;
    top: 0px;
    left: 0px;
    display: none;
    place-items: center;
    font-size: 20px;
    font-weight: bold;
    color: #ffffff;
}

#box2 {
    height: 40px;
    width: 50px;
    background-color: #00000000;
    position: absolute;
    top: 0px;
    left: 0px;
    display: none;
    animation: slideDown 1.5s;
    place-items: center;
    font-size: 27px;
    font-weight: bold;
    color: #0099ff;
    text-shadow: 2px 2px 0 #fff, -2px -2px 0 #fff,
        -2px 2px 0 #fff, 2px -2px 0 #fff,
        0px 2px 0 #fff, 0 -2px 0 #fff,
        -2px 0 0 #fff, 2px 0 0 #fff;
    z-index: 3;
}

#box3 {
    height: 30px;
    width: 30px;
    background-color: #ff0055;
    position: absolute;
    top: 420px;
    left: 420px;
    display: none;
    place-items: center;
    font-size: 20px;
    font-weight: bold;
    color: #ffffff;
}

#box4 {
    height: 40px;
    width: 50px;
    background-color: #00000000;
    position: absolute;
    top: 0px;
    left: 0px;
    display: none;
    animation: slideDown 1.5s;
    place-items: center;
    font-size: 27px;
    font-weight: bold;
    color: #0099ff;
    text-shadow: 2px 2px 0 #fff, -2px -2px 0 #fff,
        -2px 2px 0 #fff, 2px -2px 0 #fff,
        0px 2px 0 #fff, 0 -2px 0 #fff,
        -2px 0 0 #fff, 2px 0 0 #fff;
    z-index: 3;
}

#box5 {
    height: 40px;
    width: 50px;
    background-color: #00000000;
    position: absolute;
    top: 0px;
    left: 0px;
    display: none;
    animation: flash 2.4s infinite;
    place-items: center;
    font-size: 27px;
    font-weight: bold;
    color: #0000ff;
    text-shadow: 2px 2px 0 #fff, -2px -2px 0 #fff,
        -2px 2px 0 #fff, 2px -2px 0 #fff,
        0px 2px 0 #fff, 0 -2px 0 #fff,
        -2px 0 0 #fff, 2px 0 0 #fff;
    z-index: 3;
}

#box6 {
    height: 40px;
    width: 50px;
    background-color: #00000000;
    position: absolute;
    top: 0px;
    left: 0px;
    display: none;
    animation: flash 2.4s infinite;
    place-items: center;
    font-size: 27px;
    font-weight: bold;
    color: #ff0055;
    text-shadow: 2px 2px 0 #fff, -2px -2px 0 #fff,
        -2px 2px 0 #fff, 2px -2px 0 #fff,
        0px 2px 0 #fff, 0 -2px 0 #fff,
        -2px 0 0 #fff, 2px 0 0 #fff;
    z-index: 3;
}

@keyframes flash {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

#attack {
    display: none;
    height: 150px;
    width: 150px;
    border: solid 3px #ff0000;
    background-color: #00000000;
    position: absolute;
    top: 10px;
    left: 10px;
    place-items: center;
    font-size: 50px;
    font-weight: bold;
    color: #ffffff;
    box-sizing: border-box;
}

#attack2 {
    display: none;
    height: 150px;
    width: 150px;
    border: solid 3px #ff0000;
    background-color: #00000000;
    position: absolute;
    top: 10px;
    left: 10px;
    place-items: center;
    font-size: 50px;
    font-weight: bold;
    color: #ffffff;
    box-sizing: border-box;
}

#attack3 {
    display: none;
    height: 100px;
    width: 100px;
    border: solid 3px #ff0000;
    background-color: #00000000;
    position: absolute;
    top: 10px;
    left: 10px;
    place-items: center;
    font-size: 50px;
    font-weight: bold;
    color: #ffffff;
    box-sizing: border-box;
}

.attack4 {
    display: none;
    height: 100px;
    width: 100px;
    border: solid 3px #ff0000;
    background-color: #00000000;
    position: absolute;
    top: 10px;
    left: 10px;
    place-items: center;
    font-size: 50px;
    font-weight: bold;
    color: #ffffff;
    box-sizing: border-box;
}

#heal {
    display: none;
    height: 200px;
    width: 200px;
    border: solid 3px lime;
    background-color: #00000000;
    position: absolute;
    top: 10px;
    left: 10px;
    place-items: center;
    font-size: 50px;
    font-weight: bold;
    color: #ffffff;
    box-sizing: border-box;
}

#heal2 {
    display: none;
    height: 200px;
    width: 200px;
    border: solid 3px #0099ff;
    background-color: #00000000;
    position: absolute;
    top: 10px;
    left: 10px;
    place-items: center;
    font-size: 50px;
    font-weight: bold;
    color: #ffffff;
    box-sizing: border-box;
}

#killer {
    display: none;
    height: 250px;
    width: 250px;
    border: solid 3px #ff00dd;
    background-color: #00000000;
    position: absolute;
    top: 10px;
    left: 10px;
    place-items: center;
    font-size: 50px;
    font-weight: bold;
    color: #ffffff;
    box-sizing: border-box;
}

#killer2 {
    display: none;
    height: 430px;
    width: 430px;
    border: solid 3px #ff00dd;
    background-color: #00000000;
    position: absolute;
    top: 10px;
    left: 10px;
    place-items: center;
    font-size: 50px;
    font-weight: bold;
    color: #ffffff;
    box-sizing: border-box;
}

#shield {
    display: grid;
    height: 80px;
    width: 80px;
    background-color: #00000000;
    position: absolute;
    top: 10px;
    left: 10px;
    place-items: center;
    color: #ffffff;
}

#shield_obj {
    display: none;
    height: 80px;
    width: 80px;
    border: solid 3px #ff00dd;
    background-color: #00000000;
    color: #ffffff;
    box-sizing: border-box;
    animation: bigIn .5s, b_rainbow .75s infinite;
}

@keyframes bigIn {
    0% {
        height: 0;
        width: 0;
    }

    100% {
        height: 80px;
        width: 80px;
    }
}

@keyframes smallOut {
    0% {
        height: 80px;
        width: 80px;
    }

    50% {
        height: 0;
        width: 0;
    }

    100% {
        height: 0;
        width: 0;
    }
}

@keyframes b_rainbow {
    0% {
        border: solid 3px #e60000;
    }

    14% {
        border: solid 3px #f39800;
    }

    28% {
        border: solid 3px #fff100;
    }

    42% {
        border: solid 3px #009944;
    }

    56% {
        border: solid 3px #0068b7;
    }

    70% {
        border: solid 3px #1d2088;
    }

    85% {
        border: solid 3px #920783;
    }

    100% {
        border: solid 3px #e60000;
    }
}

#blur {
    display: none;
    height: 250px;
    width: 250px;
    border: solid 3px #ff9100;
    background-color: #00000000;
    position: absolute;
    top: 10px;
    left: 10px;
    place-items: center;
    font-size: 50px;
    font-weight: bold;
    color: #ffffff;
    box-sizing: border-box;
}

#thunder1 {
    display: none;
    height: 300px;
    width: 300px;
    border: solid 3px #ff9100;
    background-color: #00000000;
    position: absolute;
    top: 10px;
    left: 10px;
    place-items: center;
    font-size: 50px;
    font-weight: bold;
    color: #ffffff;
    box-sizing: border-box;
}

#thunder2 {
    display: none;
    height: 300px;
    width: 300px;
    border: solid 3px #ff9100;
    background-color: #00000000;
    position: absolute;
    top: 10px;
    left: 10px;
    place-items: center;
    font-size: 50px;
    font-weight: bold;
    color: #ffffff;
    box-sizing: border-box;
}

#thunder3 {
    display: none;
    height: 300px;
    width: 300px;
    border: solid 3px #ff9100;
    background-color: #00000000;
    position: absolute;
    top: 10px;
    left: 10px;
    place-items: center;
    font-size: 50px;
    font-weight: bold;
    color: #ffffff;
    box-sizing: border-box;
}

#thunder4 {
    display: none;
    height: 300px;
    width: 300px;
    border: solid 3px #ff9100;
    background-color: #00000000;
    position: absolute;
    top: 10px;
    left: 10px;
    place-items: center;
    font-size: 50px;
    font-weight: bold;
    color: #ffffff;
    box-sizing: border-box;
}

#counter {
    height: 450px;
    width: 450px;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #00000000;
    font-weight: bold;
    font-size: 210px;
    color: #ffffff;
    display: none;
    place-items: center;
    animation: fadeOut 2s;
}

#counter2 {
    height: 450px;
    width: 450px;
    position: absolute;
    top: 0;
    left: 0;
    font-weight: bold;
    font-size: 85px;
    color: #ff0000;
    display: none;
    place-items: center;
    animation: fadeOut 2s;
    z-index: 9;
}

#counter2_sub {
    font-size: 28px;
}

#status {
    padding: 10px;
    width: 430px;
    height: auto;
    position: absolute;
    top: 465px;
    left: -3px;
    font-size: 17px;
    font-weight: bold;
    border: 3px solid #ffffff;
    box-sizing: content-box;
    color: #ffffff;
    line-height: 140%;
    height: auto;
}

#rights {
    position: absolute;
    bottom: 0;
    left: 0;
    font-size: 13px;
    font-weight: bold;
    height: auto;
    width: 450px;
    padding: 10px 0;
    background: #00000000;
    color: #ffffff;
    z-index: -1;
}

@keyframes rainbow {
    0% {
        color: #e60000;
    }

    14% {
        color: #f39800;
    }

    28% {
        color: #fff100;
    }

    42% {
        color: #009944;
    }

    56% {
        color: #0068b7;
    }

    70% {
        color: #1d2088;
    }

    85% {
        color: #920783;
    }

    100% {
        color: #e60000;
    }
}

@keyframes stop {
    0% {
        color: #222222;
    }

    100% {
        color: #222222;
    }
}

@keyframes red {
    0% {
        color: #ff0000;
    }

    50% {
        color: #000000;
    }

    100% {
        color: #ff0000;
    }
}

@keyframes blue {
    0% {
        color: #0000ff;
    }

    50% {
        color: #000000;
    }

    100% {
        color: #0000ff;
    }
}

@keyframes win1 {
    0% {
        color: #37ffa2;
    }

    32% {
        color: #37ffa2;
    }

    33% {
        color: #60a0ff;
    }

    66% {
        color: #60a0ff;
    }

    67% {
        color: #ffffff;
    }

    100% {
        color: #ffffff;
    }
}

@keyframes win2 {
    0% {
        color: #f86efd;
    }

    32% {
        color: #f86efd;
    }

    33% {
        color: #fc497e;
    }

    66% {
        color: #fc497e;
    }

    67% {
        color: #ffffff;
    }

    100% {
        color: #ffffff;
    }
}

@keyframes damege {
    0% {
        color: #ff0000;
    }

    100% {
        color: #222222;
    }
}

@keyframes damege0 {
    0% {
        color: #ff0000;
    }

    100% {
        color: #222222;
    }
}

@keyframes damege1 {
    0% {
        color: #ff0000;
    }

    100% {
        color: #222222;
    }
}

@keyframes heal {
    0% {
        color: lime;
    }

    100% {
        color: #222222;
    }
}

@keyframes heal0 {
    0% {
        color: lime;
    }

    100% {
        color: #222222;
    }
}

@keyframes heal1 {
    0% {
        color: lime;
    }

    100% {
        color: #222222;
    }
}

@keyframes count1 {
    0% {
        color: #ff7b00;
    }

    100% {
        color: #000000;
    }
}

@keyframes count2 {
    0% {
        color: #ffff00;
    }

    100% {
        color: #000000;
    }
}

@keyframes count3 {
    0% {
        color: #00ff55;
    }

    100% {
        color: #000000;
    }
}

@keyframes count4 {
    0% {
        color: #ffffff;
    }

    100% {
        color: #000000;
    }
}

@keyframes fadeOut {
    0% {
        opacity: 1;
    }

    90% {
        opacity: 0;
    }

    100% {
        opacity: 0;
    }
}

@keyframes fadeOut1_0 {
    0% {
        opacity: 1;
    }

    90% {
        opacity: 0;
    }

    100% {
        opacity: 0;
    }
}

@keyframes fadeOut1_1 {
    0% {
        opacity: 1;
    }

    90% {
        opacity: 0;
    }

    100% {
        opacity: 0;
    }
}

@keyframes fadeOut2 {
    0% {
        opacity: 1;
    }

    25% {
        opacity: 1;
    }

    95% {
        opacity: 0;
    }

    100% {
        opacity: 0;
    }
}

@keyframes fadeIn {
    0% {
        opacity: 0;
        font-size: 0;
    }

    100% {
        opacity: 1;
        font-size: 95px;
    }
}

@keyframes fadeIn2 {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes whiteOut {
    0% {
        background-color: #ffffff;
    }

    100% {
        background-color: #000000;
    }
}

@keyframes whiteOut2 {
    0% {
        border: solid 3px #000000;
    }

    100% {
        border: solid 3px #ffffff;
    }
}

@keyframes redOut {
    0% {
        border: solid 3px #ffffff;
    }

    35% {
        border: solid 3px #000000;
    }

    100% {
        border: solid 3px #ff0000;
    }
}

@keyframes redOut2 {
    0% {
        color: #ffffff;
    }

    35% {
        color: #000000;
    }

    100% {
        color: #ff0000;
    }
}

@keyframes whiteOut3 {
    0% {
        color: #000000;
    }

    100% {
        color: #ffffff;
    }
}

@keyframes whiteOut4 {
    0% {
        background: linear-gradient(0deg, #ffffff 20%, #ffffff00 100%);
    }

    100% {
        background: linear-gradient(0deg, #000000 20%, #00000000 100%);
    }
}

@keyframes vibration {
    0% {
        transform: translateX(-3px);
    }

    50% {
        transform: translateX(3px);
    }

    100% {
        transform: translateX(-3px);
    }
}

@keyframes slideDown {
    0% {
        transform: translateY(0);
        opacity: 0;
    }

    50% {
        transform: translateY(25px);
        opacity: 1;
    }

    100% {
        transform: translateY(30px);
        opacity: 0;
    }
}

a {
    color: #0091ff;
}

/**/

.error {
    text-align: center;
    font-size: 105px;
    width: 100px;
    height: 60px;
    line-height: 60px;
    margin: auto;
    position: absolute;
    top: 0;
    bottom: 0;
    left: -60px;
    right: 0;
    animation: noise-3 0.8s linear infinite;
    overflow: default;
}

.error:after {
    content: 'Fatal error';
    font-family: 'picopico', serif;
    font-size: 90px;
    font-style: italic;
    text-align: center;
    width: 150px;
    height: 60px;
    line-height: 60px;
    margin: auto;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    opacity: 0;
    color: rgb(144, 0, 201);
    animation: noise-1 .2s linear infinite;
}

.info {
    text-align: center;
    font-size: 20px;
    text-align: center;
    width: 200px;
    height: 60px;
    line-height: 60px;
    margin: auto;
    position: absolute;
    top: 140px;
    bottom: 0;
    left: 0;
    right: 0;
    animation: noise-3 0.75s linear infinite;
}

.error:before {
    content: 'Fatal error';
    font-family: 'picopico', serif;
    font-size: 85px;
    font-style: italic;
    text-align: center;
    width: 100px;
    height: 60px;
    line-height: 60px;
    margin: auto;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    opacity: 0;
    color: #f00;
    animation: noise-2 .2s linear infinite;
}

@keyframes noise-1 {

    0%,
    20%,
    40%,
    60%,
    70%,
    90% {
        opacity: 0;
    }

    10% {
        opacity: .1;
    }

    50% {
        opacity: .5;
        left: -6px;
    }

    80% {
        opacity: .3;
    }

    100% {
        opacity: .6;
        left: 2px;
    }
}

@keyframes noise-2 {

    0%,
    20%,
    40%,
    60%,
    70%,
    90% {
        opacity: 0;
    }

    10% {
        opacity: .1;
    }

    50% {
        opacity: .5;
        left: 6px;
    }

    80% {
        opacity: .3;
    }

    100% {
        opacity: .6;
        left: -2px;
    }
}

@keyframes noise {

    0%,
    3%,
    5%,
    42%,
    44%,
    100% {
        opacity: 1;
        transform: scaleY(1);
    }

    4.3% {
        opacity: 1;
        transform: scaleY(1.7);
    }

    43% {
        opacity: 1;
        transform: scaleX(1.5);
    }
}

@keyframes noise-3 {

    0%,
    3%,
    5%,
    42%,
    44%,
    100% {
        opacity: 1;
        transform: scaleY(1);
    }

    4.3% {
        opacity: 1;
        transform: scaleY(1);
    }

    43% {
        opacity: 1;
        transform: scaleX(1.5) rotate(10deg);
    }
}

#fadeIn {
    animation: fadeIn2 2.5s;
}

#confirm {
    padding: 10px;
    position: fixed;
    top: 0;
    left: 0;
    height: calc(100vh - 20px);
    width: calc(100vw - 20px);
    background-color: #000000c0;
    color: #fff;
    z-index: 999;
    font-size: 16px;
    animation: fadeIn2 1s;
    display: none;
    text-align: center;
}

input[type="text"] {
    font-family: picopico;
    font-size: 16px;
    text-align: center;
    padding: 5px;
    border: none;
    border: solid 2px #ffffff;
    background-color: #00000000;
    color: #ffffff;
    width: 130px;
    margin: 2px 0 6px 0;
}

input[type="text"]:focus {
    outline: none;
    border: solid 2px #ffff00;
}

input[type="text"]::placeholder {
    font-style: italic;
}

#status table {
    width: 396px;
    margin: 0 auto 8px auto;
    border-collapse: collapse;
    /*table-layout: fixed;*/
    word-wrap: break-word;
    font-size: 15px;
    line-height: 120%;
    border: solid 2px #ffffff;
}

#status th,
#status td {
    border: solid 1px #ffffff;
    padding: 8px;
    text-align: left;
}

#status th {
    background-color: #333;
}

#combo {
    visibility: hidden;
    position: absolute;
    width: 100%;
    height: 90px;
    top: 26px;
    right: 0px;
    font-size: 30px;
    font-weight: bold;
    display: grid;
    place-items: center;
    color: #ffffff;
    z-index: 10;
    user-select: none;
}

#combo_num {
    font-size: 42px;
    display: inline-block;
}

#comboGiftLevel {
    font-size: 18px;
}

@keyframes comboUp0 {
    0% {
        transform: scale(1.14);
        transform: translateY(8px);
    }

    100% {
        transform: scale(1);
        transform: translateY(0px);
    }
}

@keyframes comboUp1 {
    0% {
        transform: scale(1.14);
        transform: translateY(8px);
    }

    100% {
        transform: scale(1);
        transform: translateY(0px);
    }
}

@keyframes comboHeal {
    0% {
        color: lime;
        text-shadow: 0 0 10px lime;
    }

    100% {
        color: #ffffff;
        text-shadow: none;
    }
}

@keyframes comboHeal2 {
    0% {
        color: #0099ff;
        text-shadow: 0 0 10px #0099ff;
    }

    100% {
        color: #ffffff;
        text-shadow: none;
    }
}